/* Drew Labrador
	CPSC 1010, Spring Semester
	Lab #9 - Structs
	This file includes all the references to the functions contained in
	arrayProcessing.c, and it takes the number of exercises and muscle groups
	from the exercises.txt file, while allowing the the user to make their
	own workout using scanf in the getWorkout function.
 */


#include "defs.h"

int numExercises;

int main() {
	FILE *inFile = fopen("exercises.txt", "r");

	fscanf(inFile, "%d", &numExercises);

	exercise exercises[numExercises];

	initArray(numExercises, exercises, inFile);

	getWorkout(numExercises, exercises);

	printArray(numExercises, exercises);
}
